Bug 42591 - pxelinux installation with eepro100 fails
pxelinux installation with eepro100 fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-28 12:06 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-12 11:45:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-28 12:06:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.74 [de] (X11; U; Linux 2.2.17-RAID i686)

Description of problem:
I have some machines with no CDROM and no floppy, but with PXE network boot
client.

I tried to do a RH7.1 installation via pxelinux (I used the files from CD1:
pxelinux/vmlinuz [2.4.2] and initrd.img). It boots ok, but then prompts me
for choosing which ethernet card I want to use. I have a eepro100, but it
just says, that loading of eepro100 failed - and I can4t continue (I saw on
the other console that it has already detected the eepro100 before choosing
of installation language, but I think it had the same problem then).

Doing the same with RH7.0 works fine, so there must be some problem
with either the eepro100 module in rh7.1 or a more general one with
loading of (any? of) these modules at this stage or arrangement of modules
on the initrd (is the almost "flat" structure in modules.cgz right ?).

I compiled my own kernel 2.4.5-ac2 now (without modules, all included) and
it works fine with pxelinux + NFS install method, too.


How reproducible:
Always

Steps to Reproduce:
1. boot via pxe: vmlinuz and initrd.img
2. choose german language, latin1-nodeadkeys and NFS installation
3. get prompted and try to get eepro100 network module loaded
	

Actual Results:  Can4t continue with NFS installation, network module
loading fails.

Expected Results:  Well, it should load the network module for eepro100
(furthermore: it should not prompt, it should automagically load it!) and
the let me continue with NFS installation of RH7.1.

Additional info:

Hardware: Compaq Deskpro 6300N, onboard eepro100, PII-300, 64MB.
Comment 1 Arjan van de Ven 2001-05-28 12:20:49 EDT
Can you attach the output of both "lspci -v" and "lspci -n" so that I can
see exactly which of the dozens different eepro100's this is ?
Comment 2 Need Real Name 2001-05-29 04:53:15 EDT
Hey, you4re really fast 8) Here it is:

pc00:~ # lspci -v
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev
02)
        Flags: bus master, medium devsel, latency 64
        Memory at 44000000 (32-bit, prefetchable)
        Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 02)
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 00001000-00001fff
        Memory behind bridge: 40000000-400fffff
        Prefetchable memory behind bridge: 41000000-41ffffff

00:0a.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev
05)        Subsystem: Compaq Computer Corporation Embedded NC3120 with Wake on
LAN         Flags: bus master, medium devsel, latency 66, IRQ 10
        Memory at 40200000 (32-bit, prefetchable)
        I/O ports at 2000
        Memory at 40100000 (32-bit, non-prefetchable)
        Capabilities: [dc] Power Management version 1

00:14.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
        Flags: bus master, medium devsel, latency 0
 
00:14.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Flags: bus master, medium devsel, latency 64
        I/O ports at 2040
 
00:14.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
        Flags: bus master, medium devsel, latency 64, IRQ 10
        I/O ports at 2020
 
00:14.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
        Flags: medium devsel
 
01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro AGP 1X/2X
(rev 5c) (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc: Unknown device 0080
        Flags: bus master, stepping, medium devsel, latency 66, IRQ 11
        Memory at 41000000 (32-bit, prefetchable)
        I/O ports at 1000
        Memory at 40000000 (32-bit, non-prefetchable)
        Capabilities: [50] AGP version 1.0
 
pc00:~ # lspci -n
00:00.0 Class 0600: 8086:7190 (rev 02)
00:01.0 Class 0604: 8086:7191 (rev 02)
00:0a.0 Class 0200: 8086:1229 (rev 05)
00:14.0 Class 0601: 8086:7110 (rev 02)
00:14.1 Class 0101: 8086:7111 (rev 01)
00:14.2 Class 0c03: 8086:7112 (rev 01)
00:14.3 Class 0680: 8086:7113 (rev 02)
01:00.0 Class 0300: 1002:4742 (rev 5c)
pc00:~ #
Comment 3 Arjan van de Ven 2001-05-29 05:04:41 EDT
"00:0a.0 Class 0200: 8086:1229 (rev 05)" -> This ID is detected by the driver
just fine, and the driver should therefore load automatically.
Maybe the installer doesn't have the proper ID
Comment 4 Need Real Name 2001-05-30 09:40:10 EDT
If I can help debugging, just tell me how - I can easily reproduce the problem.

My impression is that not the module itself is the problem - it just doesn4t get
loaded ...

Did you successfully try this RH 7.1 pxelinux stuff with ANY network card ?
Comment 5 Brent Fox 2001-05-31 14:39:00 EDT
Kudzu is the component which actually detects the hardware, but I think that
kudzu is doing the right thing here:

The relevant line in the pcitable is:
0x8086  0x1229  "eepro100"      "Intel Corporation|82557 [Ethernet Pro 100]"

...which looks fine to me.

tw, all our test machines PXE boot, so yes, that gets tested every day.  Also,
almost all of our test machines use eepro100 cards, so I'm surprised that you
are having problems.

I really don't know what the problem is...the pci id matches kudzu's lookup
table...and we know that this driver works.

Try booting with 'linux text expert noprobe' and select the driver when
prompted.  That might avoid the double detection that seems to be happening.
Comment 6 Brent Fox 2001-06-12 11:44:53 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.